%define upstream_name    Array-Iterator
%define upstream_version 0.11

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 8

Summary:    A subclass of Array::Iterator to allow forwards and backwards iteration
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Array/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Capture::Tiny)
BuildRequires: perl(Module::Build) >= 0.360.100
BuildRequires: perl(Test::Exception)
BuildArch:  noarch

%description
This class provides a very simple iterator interface. It is
uni-directional and can only be used once. It provides no means of
reversing or resetting the iterator. It is not recommended to alter the
array during iteration, however no attempt is made to enforce this
(although I will if I can find an efficient means of doing so). This class
only intends to provide a clear and simple means of generic iteration,
nothing more (yet).

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
# %%{__perl} Build.PL installdirs=vendor
%{__perl} Makefile.PL INSTALLDIRS=vendor

# ./Build
make


%install
# ./Build install destdir=%%{buildroot}
%makeinstall_std

%files
%doc Changes LICENSE META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Tue Jul 11 2017 bb2 <bb2> - 0.110.0-8pclos2017
- rebuild against updates

